@ECHO OFF
@REM #----------------------------------------------------------
@REM # Copyright FUJITSU LIMITED 2010
@REM #
@REM # Usage
@REM #   swrba_haesxstop.bat
@REM #
@REM # batch action
@REM #   shutdown esx server
@REM #----------------------------------------------------------
IF "%ITPM_HOME%" == "" (
	ECHO ERROR: The environment variable is not specified. ITPM_HOME
	echo ReturnCodeF3
	EXIT /B 3
)
IF "%TEMP%" == "" (
	ECHO ERROR: The environment variable is not specified. TEMP
	echo ReturnCodeF3
	EXIT /B 3
)
IF "%ITPM_SHARE_HOME%" == "" (
	ECHO ERROR: The environment variable is not specified. ITPM_SHARE_HOME
	echo ReturnCodeF3
	EXIT /B 3
)
IF "%1" == "" (
	ECHO ERROR: argument 1 is not input
	echo ReturnCodeF2
	EXIT /B 2
)
IF "%2" == "" (
	ECHO ERROR: argument 2 is not input
	echo ReturnCodeF2
	EXIT /B 2
)

SET EXEC_PATH=%ITPM_HOME%\bin
SET WK_DATE=%DATE:~-10,4%%DATE:~-5,2%%DATE:~-2,2%
SET WK_TIME=%TIME:~0,2%%TIME:~3,2%%TIME:~6,2%%TIME:~9,2%
SET WK_TIME=%WK_TIME: =%

:NAMING
SET XML_PATH=%TEMP%\SWRBA_HA_%WK_DATE%%WK_TIME%_%RANDOM%_%RANDOM%.xml

IF exist "%XML_PATH%" goto NAMING

ECHO ^<?xml version="1.0" encoding="UTF-8"?^> > %XML_PATH%
ECHO ^<DataRoot^> >> %XML_PATH%
ECHO  ^<MYOBaseParameters^> >> %XML_PATH%
ECHO   ^<MYOBusinessVerb^>^</MYOBusinessVerb^> >> %XML_PATH%
ECHO   ^<MYOBaseVerb^>^</MYOBaseVerb^> >> %XML_PATH%
ECHO   ^<MYOPageVerb^>^</MYOPageVerb^> >> %XML_PATH%
ECHO  ^</MYOBaseParameters^> >> %XML_PATH%
ECHO  ^<Header^> >> %XML_PATH%
ECHO   ^<Application^>^</Application^> >> %XML_PATH%
ECHO   ^<ApplicationType^>^</ApplicationType^> >> %XML_PATH%
ECHO   ^<EmployeeNumber^>^</EmployeeNumber^> >> %XML_PATH%
ECHO   ^<EmployeeName^>^</EmployeeName^> >> %XML_PATH%
ECHO   ^<PostCode^>^</PostCode^> >> %XML_PATH%
ECHO   ^<PostName^>^</PostName^> >> %XML_PATH%
ECHO   ^<AgencyInformation^>^</AgencyInformation^> >> %XML_PATH%
ECHO  ^</Header^> >> %XML_PATH%
ECHO  ^<CompanyCode^>^</CompanyCode^> >> %XML_PATH%
ECHO  ^<ApplicationId^>^</ApplicationId^> >> %XML_PATH%
ECHO  ^<LanguageType^>^</LanguageType^> >> %XML_PATH%
ECHO  ^<SlipNumber^>^</SlipNumber^> >> %XML_PATH%
ECHO  ^<MYOBaseHistoryComment^>^</MYOBaseHistoryComment^> >> %XML_PATH%
ECHO  ^<slipdata^> >> %XML_PATH%
ECHO  ^</slipdata^> >> %XML_PATH%
ECHO ^</DataRoot^> >> %XML_PATH%

CALL "%EXEC_PATH%\swpm_createslip.cmd" -fxml "%XML_PATH%" -id "%1" -slipid "%2" -createonly
echo ReturnCodeF%ErrorLevel%
DEL "%XML_PATH%"